;ARZON（アルゾン）用検索設定
; http://www.arzon.jp/

[generic]

SiteName=ARZON
TopPage=http://www.arzon.jp/
AgeCheckURL=href="([^"]*?adult_customer_agecheck[^"]*?)"
; ARZONは連続検索すると最初の検索しか結果を返さないため、HTTPクライアントを都度初期化する
InitializeEachModelno=1
;サイト固有のタイトル情報処理
TitleInfoPrepareScript=Arzon_TitleInfo_Prepare.ps1

[search]
; アダルトタイトル
1=http://www.arzon.jp/itemlist.html?q={PRODUCTCODE}
; イメージタイトル
2=http://www.arzon.jp/imagelist.html?q={PRODUCTCODE}

[TitleList]

;BodyFilter=
Regex=class="pictlist".*?href="(?<url>[^"]*)".*?title="(?<title>[^"]*)".*?src="(?<thumburl>[^"]*)".*?\/div
NextPage=href="([^"]*from={PAGENO}[^"]*)

[Title.1]

; マーカーなし
;Marker=
BodyFilter=id="detail_new"(.*?)id="other_item"
; 型番
1=品番.*?(?<productcode>[-a-zA-Z0-9]+[0-9]+).*?</td>
; 発売日
2=発売日.*?(?<releasedate>20[0-9]{2}\/[0-9]{2}\/[0-9]{2}).*?</td>
; メーカー
3=メーカー：.*?<a[^>]*?>(?<seller>[^<]*?)<
; レーベル
4=レーベル：.*?<a[^>]*?>(?<label>[^<]*?)<
; シリーズ
5=シリーズ：.*?<a[^>]*?>(?<series>[^<]*?)<
; パッケージ画像
6=<img.*?src="(?<pkgimgurl>[^"]*?[0-9]*L.jpg)"
; ジャンル
7=multignr[^>]*?>(?<genre>[^<]*)<

[Title.2]

; マーカーなし
;Marker=
; 出演者情報の切り出し
BodyFilter=<table(.*?cast_[0-9]*.*?)</td>
; 出演者
1=cast_[0-9]*.*?>(?<cast>.*?)<\/a>

